angular.module('starter.controllers')
.controller('HomeCtrl', function($scope, storePageURL, $cordovaInAppBrowser,
  $cordovaSocialSharing, $ionicLoading, $ionicModal, $timeout,
  $cordovaGoogleAnalytics, AdHelper) {

  $timeout(function() {
    if(typeof analytics !== 'undefined') { analytics.trackView("Fake ID Main Menu"); }
  }, 5000);

  $scope.openStorePage = function() {
    if(typeof analytics !== 'undefined') { analytics.trackEvent("Button", "pressed", "Store Page"); }
    storePageURL.open();
  };
  $scope.facebook = function() {
    if(typeof analytics !== 'undefined') { analytics.trackEvent("Button", "pressed", "Facebook"); }
    $cordovaInAppBrowser.open('https://www.facebook.com/profile.php?id=174762482685066', '_system');
  };
  $scope.twitter = function() {
    if(typeof analytics !== 'undefined') { analytics.trackEvent("Button", "pressed", "Twitter"); }
    $cordovaInAppBrowser.open('https://www.twitter.com/bugbyteapps', '_system');
  };
  $scope.privacy = function() {
    if(typeof analytics !== 'undefined') { analytics.trackEvent("Button", "pressed", "Privacy"); }
    $cordovaInAppBrowser.open('https://sites.google.com/view/bugbyteapps/privacy', '_system');
  };
  $scope.share = function() {
    $ionicLoading.show({
      templateUrl: "templates/loading.html"
    });
    if(typeof analytics !== 'undefined') { analytics.trackEvent("Button", "pressed", "Share App"); }
    $cordovaSocialSharing.share(
      "Make a fake ID with this free app!",
      "Fake ID Generator",
      null,
      storePageURL.www
    ).then(hideLoading, hideLoading);
  };
  function hideLoading() {
    $ionicLoading.hide();
  }

});
