angular.module('starter.controllers')
.controller('SupportCtrl', function($scope, $cordovaEmailComposer, $cordovaDevice, $ionicPopup) {

  $scope.email = function() {

    $cordovaEmailComposer.isAvailable()
    .then(function() {
      console.log("email available.");
      var device = $cordovaDevice.getPlatform() + " " +
                   $cordovaDevice.getVersion() + " - " +
                   $cordovaDevice.getModel();
      $cordovaEmailComposer.open({
        to: 'nick.bugbyteapps@gmail.com',
        subject: 'Fake ID Generator - ' + device,
        isHtml: false
      });
    }, function() {
      $ionicPopup.alert({
        title: 'Error',
        template: "Could not open an email for you. You may not have an email " +
                  "address set up on your device."
      });
    });
  };
});
