angular.module('starter.directives', [])

.directive('btnHref', function($location) {
  return function(scope, element, attrs) {
    var path;

    attrs.$observe('btnHref', function(val) {
      path = val;
    });

    element.bind('click', function() {
      scope.$apply(function() {
        $location.path(path);
      });
    });
  };
})

.directive('ngEnter', function() {
  return function(scope, element, attrs) {
    element.bind("keydown keypress", function(event) {
      if (event.which === 13) {
        scope.$apply(function() {
          scope.$eval(attrs.ngEnter);
        });

        event.preventDefault();
      }
    });
  };
});
